id: 47
createUser: admin
createTime: 2025-09-03T11:07:15.272599574Z
name: app.17.asset-generation
kind: asset-generation
addon: platform
state: Failed
priority: 10
data:
    action: generate
    params: {}
    profiles:
        - id: 1
          name: profile1
application:
    id: 17
    name: app
bucket:
    id: 81
    name: ""
pod: openshift-mta/task-47-jgqzz
started: 2025-09-03T11:07:15.354666082Z
terminated: 2025-09-03T11:07:18.580211265Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-09-03T11:07:15.354625827Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-47-jgqzz
      last: 2025-09-03T11:07:15.405082141Z
    - kind: PodPending
      count: 1
      reason: ContainerCreating
      last: 2025-09-03T11:07:16.449258108Z
    - kind: PodRunning
      count: 2
      last: 2025-09-03T11:07:18.580210775Z
    - kind: PodFailed
      count: 1
      reason: Error
      last: 2025-09-03T11:07:18.580211867Z
errors:
    - severity: Error
      description: 'Container (addon) failed: Error'
    - severity: Error
      description: 'GET /archetypes/1 failed: 401(Unauthorized)'
activity:
    - 'SourceDir: /addon/source'
    - 'TemplateDir: /addon/templates'
    - 'AssetDir: /addon/assets'
    - '[SSH] Home (directory): /addon'
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '> SSH_AUTH_SOCK=/tmp/agent.1; export SSH_AUTH_SOCK;'
    - '> SSH_AGENT_PID=14; export SSH_AGENT_PID;'
    - '> echo Agent pid 14;'
    - '> '
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[Generate] Fetch manifest for application (id=17): app'
    - '[GIT] Home (directory): /addon/.git/4fc448d2'
    - '[GIT] Cloning: https://github.com/mguetta1/assets-repository.git'
    - '[FILE] Created /addon/.git/4fc448d2/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/mguetta1/assets-repository.git /addon/assets'
    - '> 11:07:17.183823 git.c:479               trace: built-in: git clone --depth 1 https://github.com/mguetta1/assets-repository.git /addon/assets'
    - '> Cloning into ''/addon/assets''...'
    - '> 11:07:17.186726 run-command.c:666       trace: run_command: git remote-https origin https://github.com/mguetta1/assets-repository.git'
    - '> 11:07:17.186769 run-command.c:758       trace: start_command: /usr/libexec/git-core/git remote-https origin https://github.com/mguetta1/assets-repository.git'
    - '> 11:07:17.189218 git.c:781               trace: exec: git-remote-https origin https://github.com/mguetta1/assets-repository.git'
    - '> 11:07:17.189253 run-command.c:666       trace: run_command: git-remote-https origin https://github.com/mguetta1/assets-repository.git'
    - '> 11:07:17.189287 run-command.c:758       trace: start_command: /usr/libexec/git-core/git-remote-https origin https://github.com/mguetta1/assets-repository.git'
    - '> 11:07:17.352925 run-command.c:666       trace: run_command: git --shallow-file /addon/assets/.git/shallow.lock index-pack --stdin --fix-thin ''--keep=fetch-pack 16 on task-47-jgqzz'''
    - '> 11:07:17.352965 run-command.c:758       trace: start_command: /usr/libexec/git-core/git --shallow-file /addon/assets/.git/shallow.lock index-pack --stdin --fix-thin ''--keep=fetch-pack 16 on task-47-jgqzz'''
    - '> 11:07:17.355739 trace.c:316             setup: git_dir: /addon/assets/.git'
    - '> 11:07:17.355758 trace.c:317             setup: git_common_dir: /addon/assets/.git'
    - '> 11:07:17.355761 trace.c:318             setup: worktree: /addon'
    - '> 11:07:17.355762 trace.c:319             setup: cwd: /addon'
    - '> 11:07:17.355764 trace.c:320             setup: prefix: (null)'
    - '> 11:07:17.355765 git.c:479               trace: built-in: git index-pack --stdin --fix-thin ''--keep=fetch-pack 16 on task-47-jgqzz'''
    - '> 11:07:17.375202 run-command.c:666       trace: run_command: git rev-list --objects --stdin --not --all --quiet --alternate-refs'
    - '> 11:07:17.375242 run-command.c:758       trace: start_command: /usr/libexec/git-core/git rev-list --objects --stdin --not --all --quiet --alternate-refs'
    - '> 11:07:17.377601 trace.c:316             setup: git_dir: /addon/assets/.git'
    - '> 11:07:17.377625 trace.c:317             setup: git_common_dir: /addon/assets/.git'
    - '> 11:07:17.377628 trace.c:318             setup: worktree: /addon'
    - '> 11:07:17.377629 trace.c:319             setup: cwd: /addon'
    - '> 11:07:17.377631 trace.c:320             setup: prefix: (null)'
    - '> 11:07:17.377633 git.c:479               trace: built-in: git rev-list --objects --stdin --not --all --quiet --alternate-refs'
    - '> 11:07:17.380451 chdir-notify.c:68       setup: chdir from ''/addon'' to ''/addon/assets'''
    - '> 11:07:17.380464 chdir-notify.c:43       setup: reparent packed-refs to ''/addon/assets/.git/packed-refs'''
    - '> 11:07:17.380468 chdir-notify.c:43       setup: reparent files-backend $GIT_DIR to ''/addon/assets/.git'''
    - '> 11:07:17.380470 chdir-notify.c:43       setup: reparent files-backend $GIT_COMMONDIR to ''/addon/assets/.git'''
    - '> '
    - '[CMD] /usr/bin/git succeeded.'
    - '[gen] Deleted: /addon/assets/.git/HEAD'
    - '[gen] Deleted: /addon/assets/.git/config'
    - '[gen] Deleted: /addon/assets/.git/description'
    - '[gen] Deleted: /addon/assets/.git/index'
    - '[gen] Deleted: /addon/assets/.git/packed-refs'
    - '[gen] Deleted: /addon/assets/.git/shallow'
    - '[gen] Deleted: /addon/assets/README.md'
attached:
    - id: 899
      name: git.output
      activity: 12
    - id: 898
      name: ssh-agent.output
      activity: 5
    - id: 900
      name: addon.log
    - id: 901
      name: pod.yaml
